Get an agent's configuration
curl --request GET \
--url https://api.ando.so/v1/agents/{agentId}/configuration \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/agents/{agentId}/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/agents/{agentId}/configuration"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"object": "agent_configuration",
"agent_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"instructions": "<string>",
"model_id": "<string>",
"role_name": "<string>",
"app_access": {
"connection_ids": [
"<string>"
],
"excluded_connection_ids": [
"<string>"
],
"enabled_connection_tools": [
{
"connection_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"tool_names": [
"<string>"
]
}
],
"github_repository_ids": [
"<string>"
],
"apps": [
{
"connection_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"display_name": "<string>",
"tool_names": [
"<string>"
]
}
]
},
"updated_at": "2026-05-14T08:00:00.000Z"
}
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}Get an agent's configuration
Returns an agent’s configuration: its instructions, model, role and app access, as set in Settings > Members > Agents. Requires the agents:read scope.
GET
https://api.ando.so/v1
/
agents
/
{agentId}
/
configuration
Get an agent's configuration
curl --request GET \
--url https://api.ando.so/v1/agents/{agentId}/configuration \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/agents/{agentId}/configuration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/agents/{agentId}/configuration"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"object": "agent_configuration",
"agent_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"instructions": "<string>",
"model_id": "<string>",
"role_name": "<string>",
"app_access": {
"connection_ids": [
"<string>"
],
"excluded_connection_ids": [
"<string>"
],
"enabled_connection_tools": [
{
"connection_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"tool_names": [
"<string>"
]
}
],
"github_repository_ids": [
"<string>"
],
"apps": [
{
"connection_id": "01jzn7e61x3a7v9h2r7t2m3q4p",
"display_name": "<string>",
"tool_names": [
"<string>"
]
}
]
},
"updated_at": "2026-05-14T08:00:00.000Z"
}
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": "<string>",
"error_code": "<string>",
"type": "invalid_request_error",
"request_id": "<string>",
"missing_scopes": [
"<string>"
]
}Authorizations
AndoApiKeyBearerApiKey